Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.knowgate.dfs
Class ByteArrayDataSource

    java.lang.Object
      com.knowgate.dfs.ByteArrayDataSource

All Implemented Interfaces:
  javax.activation.DataSource

    public class ByteArrayDataSource

extends java.lang.Object
implements javax.activation.DataSource

A simple DataSource for demonstration purposes. This class implements a DataSource from: an InputStream a byte array a String

Constructor Summary
`ByteArrayDataSource(byte[] data, java.lang.String type)`
`ByteArrayDataSource(java.io.InputStream is, java.lang.String type)`
`ByteArrayDataSource(java.lang.String data, java.lang.String type)`

Method Summary
`java.lang.String` | `getContentType()`
`java.io.InputStream` | `getInputStream()` Return an InputStream for the data.
`java.lang.String` | `getName()`
`java.io.OutputStream` | `getOutputStream()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ByteArrayDataSource

    public ByteArrayDataSource(java.io.InputStream is,
                               java.lang.String type)

### ByteArrayDataSource

    public ByteArrayDataSource(byte[] data,
                               java.lang.String type)

### ByteArrayDataSource

    public ByteArrayDataSource(java.lang.String data,
                               java.lang.String type)

Method Detail

### getInputStream

    public java.io.InputStream getInputStream()
                                       throws java.io.IOException

  Return an InputStream for the data. Note - a new stream must be returned each time.

  Specified by:
    `getInputStream` in interface `javax.activation.DataSource`
  Throws:
    `java.io.IOException`

### getOutputStream

    public java.io.OutputStream getOutputStream()
                                         throws java.io.IOException

  Specified by:
    `getOutputStream` in interface `javax.activation.DataSource`
  Throws:
    `java.io.IOException`

### getContentType

    public java.lang.String getContentType()

  Specified by:
    `getContentType` in interface `javax.activation.DataSource`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `javax.activation.DataSource`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD